Get shipping method - Fabric
Get shipping method
cURL
curl --request GET \
--url https://prod01-apigw.yourcompany.fabric.zone/api-shipping/shipping/{shippingMethodId} \
--header 'x-site-context: <x-site-context>'
import requests
url = "https://prod01-apigw.yourcompany.fabric.zone/api-shipping/shipping/{shippingMethodId}"
headers = {"x-site-context": "<x-site-context>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {'x-site-context': '<x-site-context>'}};
fetch('https://prod01-apigw.yourcompany.fabric.zone/api-shipping/shipping/{shippingMethodId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response
Success Response
HTTP Status Codes: 200, 400, 404, 500
{
"addressType": [
"PO",
"Business",
"Residence",
"APO",
"MPO"
],
"channel": [
12
],
"name": "2 Day",
"description": "2 Day - guaranteed 2 day delivery by 9pm",
"taxCode": "FR020000",
"minimumDays": 1,
"maximumDays": 2,
"cutOffTime": 2100,
"cost": 11.99,
"regoin": "USA",
"createdBy": "41224d776a326fb40f000001",
"shippingMethodId": 10002,
"__v": 0,
"_id": "5fee9d59f2f08a1b3cbdea08",
"createdAt": "2020-12-31T02:09:53.914Z",
"updatedAt": "2020-12-31T02:09:53.914Z"
}
Error Response
{
"code": "SHIPPING_METHOD_NOT_FOUND",
"message": "Shipping Method Not Found."
}
Headers
- x-site-context: string, required. The
x-site-contextheader is a JSON object containing necessary context for the shipping method lookup.
Path Parameters
- shippingMethodId: string, required.